Bug 1977710 - builds: e2e-proxy tests fail due to Redis security protections
Summary: builds: e2e-proxy tests fail due to Redis security protections
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Build
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.z
Assignee: Adam Kaplan
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On: 1977454
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-30 10:25 UTC by OpenShift BugZilla Robot
Modified: 2021-08-03 06:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-03 06:09:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 26289 0 None open [release-4.8] Bug 1977710: Use nodejs to test service connection 2021-06-30 10:25:29 UTC
Red Hat Product Errata RHBA-2021:2896 0 None None None 2021-08-03 06:10:11 UTC

Description OpenShift BugZilla Robot 2021-06-30 10:25:10 UTC
+++ This bug was initially created as a clone of Bug #1977454 +++

Description of problem:

The build in-cluster service test deploys a Redis service, then checks the service availability by running a `curl` command against the redis endpoint.
Newer versions of Redis won't allow these requests when proxy environment variables are set.


Version-Release number of selected component (if applicable): 4.8


How reproducible: Always


Steps to Reproduce:
1. Install OCP behind a proxy
2. Start a Redis service in a project
3. In the same project, start a build which connects to the redis service

Actual results:

Connection is aborted.
Redis error message:

```
# Possible SECURITY ATTACK detected. It looks like somebody is sending POST or Host: commands to Redis. This is likely due to an attacker attempting to use Cross Protocol Scripting to compromise your Redis instance. Connection aborted.
```


Expected results:

Connection succeeds

Additional info:

https://prow.ci.openshift.org/view/gs/origin-ci-test/logs/periodic-ci-openshift-release-master-nightly-4.9-e2e-aws-proxy/1409477255171674112

Comment 3 XiuJuan Wang 2021-07-26 06:32:52 UTC
Validate e2e passed.

Comment 6 errata-xmlrpc 2021-08-03 06:09:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.8.3 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:2896


Note You need to log in before you can comment on or make changes to this bug.